libssh 0.7.5

Data Fields
ssh_socket_callbacks Struct Reference
The libssh API » The libssh callbacks

These are the callbacks exported by the socket structure They are called by the socket module when a socket event appears. More...

`#include <include/libssh/callbacks.h>`

## Data Fields
ssh_callback_int_int | connected
| This function is called when the ssh_socket_connect was used on the socket on nonblocking state, and the connection successed.
ssh_callback_int | controlflow
| This function will be called each time a controlflow state changes, i.e. More...
ssh_callback_data | data
| This function will be called each time data appears on socket. More...
ssh_callback_int_int | exception
| This function will be called each time an exception appears on socket. More...
void * | userdata
| User-provided data. More...

## Detailed Description

These are the callbacks exported by the socket structure They are called by the socket module when a socket event appears.

## Field Documentation

## ◆ controlflow

ssh_callback_int ssh_socket_callbacks::controlflow

This function will be called each time a controlflow state changes, i.e.

the socket is available for reading or writing.

## ◆ data

ssh_callback_data ssh_socket_callbacks::data

This function will be called each time data appears on socket.

The data not consumed will appear on the next data event.

## ◆ exception

ssh_callback_int_int ssh_socket_callbacks::exception

This function will be called each time an exception appears on socket.

An exception can be a socket problem (timeout, ...) or an end-of-file.

## ◆ userdata

void* ssh_socket_callbacks::userdata

User-provided data.

User is free to set anything he wants here

The documentation for this struct was generated from the following file:

- include/libssh/callbacks.h